# UnBlock a Card

### **Request** URI <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/card/unblock`

### **Request Body**

**Refer to :** [**common**](https://docs.pagsmile.com/issuing-card-api/common)

**Biz\_data :**

| Name                                          | Type   | Description |
| --------------------------------------------- | ------ | ----------- |
| card\_token<mark style="color:red;">\*</mark> | string | Card Token  |
| reason<mark style="color:red;">\*</mark>      | string | Reason      |

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "bFAAad92-e61f-a1Cb-B2A8-FBBeeacc",
    "timestamp": "2025-04-07 13:56:43",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "card_token": "450620141926",
        "reason": "test"
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200: OK" %}

```
{
    "code": "10000",
    "msg": "Success"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/card/update-a-card/unblock-a-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
